Package weka.experiment

# Class PropertyNode

java.lang.Object
weka.experiment.PropertyNode

All Implemented Interfaces:
  `Serializable`, `RevisionHandler`

public class PropertyNode extends Object implements Serializable, RevisionHandler
Stores information on a property of an object: the class of the object with the property; the property descriptor, and the current value.

Version:
  $Revision: 1.7 $
Author:
  Len Trigg (trigg@cs.waikato.ac.nz)
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`Class`
`parentClass`
The class of the object with this property
`PropertyDescriptor`
`property`
Other info about the property
`Object`
`value`
The current property value

## Constructor Summary

Constructors
Constructor
Description
`PropertyNode(Object pValue)`
Creates a mostly empty property.
`PropertyNode(Object pValue, PropertyDescriptor prop, Class pClass)`
Creates a fully specified property node.

## Method Summary

Modifier and Type
Method
Description
`String`
`getRevision()`
Returns the revision string.
`String`
`toString()`
Returns a string description of this property.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### value

public Object value
The current property value

### parentClass

public Class parentClass
The class of the object with this property

### property

public PropertyDescriptor property
Other info about the property

## Constructor Details

### PropertyNode

public PropertyNode(Object pValue)
Creates a mostly empty property.

Parameters:
  `pValue` - a property value.

### PropertyNode

public PropertyNode(Object pValue, PropertyDescriptor prop, Class pClass)
Creates a fully specified property node.

Parameters:
  `pValue` - the current property value.
  `prop` - the PropertyDescriptor.
  `pClass` - the Class of the object with this property.

## Method Details

### toString

public String toString()
Returns a string description of this property.

Overrides:
  `toString` in class `Object`
Returns:
  a value of type 'String'

### getRevision

public String getRevision()
Returns the revision string.

Specified by:
  `getRevision` in interface `RevisionHandler`
Returns:
  the revision